package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 经销商 对象 customers
 * 
 * @author dgtly
 * @date 2020-08-27
 */
public class Customers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */

    private String isDelete;

    /** 经销商 */
    private String chainsName;

    /** 经销商代号 */
    private String chainsCode;

    /** 省份 */
    private String stateName;

    /** 市 */
    private String cityName;

    /** 区 */
    private String districtName;

    /** 用户账号 */
    private String userAccount;

    /** 用户名称 */
    private String userName;

    /** 用户号 */
    private String userNo;

    /** 信用分 */
    private Long creditScore;

    /** 当前信用分 */
    private Long currentScore;

    /** $column.columnComment */
    private String code;

    /** $column.columnComment */
    private String lineId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(String isDelete)
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete()
    {
        return isDelete;
    }
    public void setChainsName(String chainsName) 
    {
        this.chainsName = chainsName;
    }

    public String getChainsName() 
    {
        return chainsName;
    }
    public void setChainsCode(String chainsCode) 
    {
        this.chainsCode = chainsCode;
    }

    public String getChainsCode() 
    {
        return chainsCode;
    }
    public void setStateName(String stateName) 
    {
        this.stateName = stateName;
    }

    public String getStateName() 
    {
        return stateName;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setDistrictName(String districtName) 
    {
        this.districtName = districtName;
    }

    public String getDistrictName() 
    {
        return districtName;
    }
    public void setUserAccount(String userAccount) 
    {
        this.userAccount = userAccount;
    }

    public String getUserAccount() 
    {
        return userAccount;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserNo(String userNo) 
    {
        this.userNo = userNo;
    }

    public String getUserNo() 
    {
        return userNo;
    }
    public void setCreditScore(Long creditScore) 
    {
        this.creditScore = creditScore;
    }

    public Long getCreditScore() 
    {
        return creditScore;
    }
    public void setCurrentScore(Long currentScore) 
    {
        this.currentScore = currentScore;
    }

    public Long getCurrentScore() 
    {
        return currentScore;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setLineId(String lineId) 
    {
        this.lineId = lineId;
    }

    public String getLineId() 
    {
        return lineId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("chainsName", getChainsName())
            .append("chainsCode", getChainsCode())
            .append("stateName", getStateName())
            .append("cityName", getCityName())
            .append("districtName", getDistrictName())
            .append("userAccount", getUserAccount())
            .append("userName", getUserName())
            .append("userNo", getUserNo())
            .append("creditScore", getCreditScore())
            .append("currentScore", getCurrentScore())
            .append("code", getCode())
            .append("lineId", getLineId())
            .toString();
    }
}
